Package org.openoffice.da.comp.w2lcommon.helper

# Class RegistryHelper

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.RegistryHelper

public class RegistryHelper extends Object
This class defines convenience methods to access the OOo registry using a given base path

## Constructor Summary

Constructors
Constructor
Description
`RegistryHelper(com.sun.star.uno.XComponentContext xContext)`
Construct a new RegistryHelper using a given component context

## Method Summary

Modifier and Type
Method
Description
`void`
`disposeRegistryView(Object view)`
Dispose a previously obtained registry view
`Object`
`getRegistryView(String sPath, boolean bUpdate)`
Get a registry view relative to the given path

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegistryHelper

public RegistryHelper(com.sun.star.uno.XComponentContext xContext)
Construct a new RegistryHelper using a given component context

Parameters:
  `xContext` - the context to use to create new services

## Method Details

### getRegistryView

public Object getRegistryView(String sPath, boolean bUpdate) throws com.sun.star.uno.Exception
Get a registry view relative to the given path

Parameters:
  `sPath` - the base path within the registry
  `bUpdate` - true if we need update access
Returns:
  the registry view
Throws:
  `com.sun.star.uno.Exception`

### disposeRegistryView

public void disposeRegistryView(Object view)
Dispose a previously obtained registry view

Parameters:
  `view` - the view to dispose